APIAdministration
List access roles
GET
bearerAuth roles.manageheader
AuthorizationBearer <API key or OAuth 2.1 access token>Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
Scope: roles.manage
Roles.
application/json- response
data*array<>curl -X GET 'https://your-instance.example/api/v1/roles'Example Response
{ "data": [ { "name": "string", "description": "string", "permissions": [ "string" ], "id": "string", "userCount": 0, "oauthMappingCount": 0, "isDefault": true, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}